### Method

# GLib BookmarkFile get_uris

since: 2.12

#### Declaration

    gchar**
    g_bookmark_file_get_uris (
      GBookmarkFile* bookmark,
      gsize* length
    )

#### Description

Returns all URIs of the bookmarks in the bookmark file `bookmark`. The array of returned URIs will be `NULL`-terminated, so `length` may optionally be `NULL`.

Available since: 2.12

#### Parameters

`length`

  Type: `gsize*`

  Return location for the number of returned URIs, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

A newly allocated `NULL`-terminated array of strings. Use `g_strfreev()` to free it.

The length of the array is in the `length` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.